zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Nicolas Liochon (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (ZOOKEEPER-1763) Upgrade the netty version
Date Mon, 23 Sep 2013 12:17:04 GMT

     [ https://issues.apache.org/jira/browse/ZOOKEEPER-1763?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Nicolas Liochon updated ZOOKEEPER-1763:
---------------------------------------

    Attachment: 1763.v1.patch
    
> Upgrade the netty version
> -------------------------
>
>                 Key: ZOOKEEPER-1763
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-1763
>             Project: ZooKeeper
>          Issue Type: Improvement
>    Affects Versions: 3.4.5
>            Reporter: Nicolas Liochon
>            Assignee: Nicolas Liochon
>            Priority: Minor
>             Fix For: 3.5.0
>
>         Attachments: 1763.v1.patch
>
>
> 2 years ago (in https://github.com/netty/netty/issues/103), Netty changed their group-id
from org.jboss.netty to io.netty. ZooKeeper is still on the 3.2.5, so applications using 3.3
cannot use the maven "dependencyManagement" feature, as the group id differ. HBase & Hadoop
2 are on the branch 3.3+, with the new group id.
> Note that the netty 4 changes the package name as well. That's not the case for Netty
3.3+.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message